summaryrefslogtreecommitdiff
path: root/tests/exeext3.test
diff options
context:
space:
mode:
authorAlexandre Duret-Lutz <adl@gnu.org>2002-09-29 10:35:03 +0000
committerAlexandre Duret-Lutz <adl@gnu.org>2002-09-29 10:35:03 +0000
commit27855504a657553ca62680b0211ddcc71c21b6c1 (patch)
tree094f584069874a92927df714b8f5b6358b0089f3 /tests/exeext3.test
parent5d52af2826159c944f071e1cc4300440579e8a3e (diff)
downloadautomake-27855504a657553ca62680b0211ddcc71c21b6c1.tar.gz
* tests/exeext3.test: New file.
* tests/Makefile.am (TESTS): Add exeext3.test. * automake.in (%target_name): New hash. (initialize_per_input): Reset %target_name. (rule_define): Fill %target_name, and use it to detect targets which have been registered with key X but really are X$(EXEEXT).
Diffstat (limited to 'tests/exeext3.test')
-rwxr-xr-xtests/exeext3.test42
1 files changed, 42 insertions, 0 deletions
diff --git a/tests/exeext3.test b/tests/exeext3.test
new file mode 100755
index 000000000..a867f0077
--- /dev/null
+++ b/tests/exeext3.test
@@ -0,0 +1,42 @@
+#! /bin/sh
+# Copyright (C) 2002 Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with autoconf; see the file COPYING. If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Make sure we can override a program rule.
+
+. ./defs || exit 1
+
+set -e
+
+cat >> configure.in << 'END'
+AC_PROG_CC
+END
+
+cat > Makefile.am << 'END'
+bin_PROGRAMS = maude
+
+maude$(EXEEXT):
+ yeah
+END
+
+$ACLOCAL
+$AUTOMAKE
+
+$FGREP 'maude$(EXEEXT):' Makefile.in
+test 1 = `grep 'maude.*:' Makefile.in | wc -l`